org.apache.poi.hemf.record.emfplus

## Enum HemfPlusBrush.EmfPlusBrushType

- java.lang.Object
- - java.lang.Enum<HemfPlusBrush.EmfPlusBrushType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusBrush.EmfPlusBrushType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusBrush.EmfPlusBrushType>
  Enclosing class:
    HemfPlusBrush

      public static enum HemfPlusBrush.EmfPlusBrushType
      extends java.lang.Enum<HemfPlusBrush.EmfPlusBrushType>

  The BrushType enumeration defines types of graphics brushes, which are used to fill graphics regions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HATCH_FILL`
    `LINEAR_GRADIENT`
    `PATH_GRADIENT`
    `SOLID_COLOR`
    `TEXTURE_FILL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HemfPlusBrush.EmfPlusBrushData>` | `constructor`
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusBrush.EmfPlusBrushType` | `valueOf(int id)`
    `static HemfPlusBrush.EmfPlusBrushType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusBrush.EmfPlusBrushType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID_COLOR

          public static final HemfPlusBrush.EmfPlusBrushType SOLID_COLOR

    - #### HATCH_FILL

          public static final HemfPlusBrush.EmfPlusBrushType HATCH_FILL

    - #### TEXTURE_FILL

          public static final HemfPlusBrush.EmfPlusBrushType TEXTURE_FILL

    - #### PATH_GRADIENT

          public static final HemfPlusBrush.EmfPlusBrushType PATH_GRADIENT

    - #### LINEAR_GRADIENT

          public static final HemfPlusBrush.EmfPlusBrushType LINEAR_GRADIENT

  - ### Field Detail

    - #### id

          public final int id

    - #### constructor

          public final java.util.function.Supplier<? extends HemfPlusBrush.EmfPlusBrushData> constructor

  - ### Method Detail

    - #### values

          public static HemfPlusBrush.EmfPlusBrushType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusBrush.EmfPlusBrushType c : HemfPlusBrush.EmfPlusBrushType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusBrush.EmfPlusBrushType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusBrush.EmfPlusBrushType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.